<?php

    /**
     * Example 1: Uploading a single file
     *
     * This example demonstrates how we can upload a single file to the webserver.
     * We will be using the default settings for the class and no extraordaniry
     * functions.
     *
     * The path given when moving the images will be created if the directory
     * structure does not exists. So if you, for example, use:
     * $oFile->move('images/uploads'); 
     * and that directory does not exists, it will create the directory for you.
     * Information on how to delete the directory when the upload fails can be
     * found in example 4 where we will be using the rollback() function.
     */
     
    /* First we will check if the form has been submitted by the user. If so we
     * will create the new object and process the information */
     
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
        require_once 'fileupload.class.php';
        
        $oFile = new FileUpload($_FILES['ourfile']);
        
        $oFile->addFileType('gif', 'image/gif');
        $oFile->addFileType('jpg', array('image/jpeg', 'image/pjpeg'));
            
        $oFile->move('images/uploads');
        
        if ($oFile->getErrors() === false) {
        
            /* Our upload was succesful. We can now query the class to give us the
             * information about our upload. */
            echo '<pre>', var_dump($oFile->getUploaded()), '</pre>';
            
        } else {
        
            /* We have encountered an error while uploading our file. To get the
             * exact error we can use the array returned by the getErrors()
             * function. */
            echo '<pre>', var_dump($oFile->getErrors()), '</pre>';
                     
        }
    }
?>

<form action="" method="post" enctype="multipart/form-data">
<input type="file" name="ourfile" id="ourfile" /><br />
<input type="submit" />
</form>