<?php

    /**
     * Example 2: Uploading multiple files
     *
     * This example demonstrates how the class can be used to process an array of
     * file uploads. Again we will use no special tricks or functions, just the
     * plain upload functions.
     *
     * As in contrary with FileUpload v1 we do not have to tell the class we are
     * uploading an array of files. The class will check if we are uploading a single
     * or multiple files.
     *
     * As you will see if you look closely at this page, the only difference
     * between uploading a single file or multiple files is the form. We now use
     * the square brackets in the name of the file field.
     */
     
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
        require_once 'fileupload.class.php';
        
        $oFile = new FileUpload($_FILES['ourfile']);
        
        $oFile->addFileType('gif', 'image/gif');
        $oFile->addFileType('jpg', array('image/jpeg', 'image/pjpeg'));
            
        $oFile->move('images/uploads');
        
        if ($oFile->getErrors() === false) {
        
            echo '<pre>', var_dump($oFile->getUploaded()), '</pre>';
            
        } else {
        
            echo '<pre>', var_dump($oFile->getErrors()), '</pre>';
                     
        }
    
    }
?>

<form action="" method="post" enctype="multipart/form-data">
<input type="file" name="ourfile[]" id="ourfile[]" /><br />
<input type="file" name="ourfile[]" id="ourfile[]" /><br />
<input type="file" name="ourfile[]" id="ourfile[]" /><br />
<input type="submit" />
</form>