<?php

    /**
     * Example 3: Uploading a single file and renaming the file
     *
     * This example demonstrates how we can upload a single file to the webserver
     * and rename the file. This function might be usefull if you would like to
     * use a dynamic name for the file. You could do for instance:
     * $oFile->setNewName($_SESSION['userid']);
     *
     * That way, you can implement the system for an avatar upload function
     * or a single photo upload.
     */
     
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
        require_once 'fileupload.class.php';
        
        $oFile = new FileUpload($_FILES['ourfile']);
        
        $oFile->addFileType('gif', 'image/gif');
        $oFile->addFileType('jpg', array('image/jpeg', 'image/pjpeg'));
        
        $oFile->setNewName('newName'); // You just have to enter the name name without the extension
            
        $oFile->move('images/uploads');
        
        if ($oFile->getErrors() === false) {
        
            echo '<pre>', var_dump($oFile->getUploaded()), '</pre>';
            
        } else {
        
            echo '<pre>', var_dump($oFile->getErrors()), '</pre>';
                     
        }
    }
?>

<form action="" method="post" enctype="multipart/form-data">
<input type="file" name="ourfile" id="ourfile" /><br />
<input type="submit" />
</form>