<?php

    /**
     * Example 4: Uploading multiple files and using rollback
     *
     * This example will be using a lot of functions which the class has to offer.
     * Think of this case situation:
     * You have a website with an image gallery and you would like to upload two
     * photo's at the same time to your website. If an error may encounter with
     * the upload of any of the two photo's you want the class to delete the 
     * succesfully uploaded photo.
     *
     * $oFile->setLowerCaseExtension();
     * If a user uploads a photo named 'my_picture.JPG' it will be automaticly
     * renamed to 'my_picture.jpg'.
     *
     * $oFile->rollback();
     * When encountering an error you can issue this command to delete any
     * succesfully uploaded files in this session. If the directory which is left
     * is empty, this function will delete the complete directory from the system.
     */
     
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
        require_once 'fileupload.class.php';
        
        $oFile = new FileUpload($_FILES['ourfile']);
        
        $oFile->addFileType('gif', 'image/gif');
        $oFile->addFileType('jpg', array('image/jpeg', 'image/pjpeg'));
        
        $oFile->setLowerCaseExtension();
            
        $oFile->move('images/uploads');
        
        if ($oFile->getErrors() === false) {
        
            echo '<pre>', var_dump($oFile->getUploaded()), '</pre>';
            
        } else {
        
            $oFile->rollback();
            echo '<pre>', var_dump($oFile->getErrors()), '</pre>';
            /**
             * When viewing the results of this dump, you will find that the
             * succesfully uploaded files will be added to the array with errors
             * with the message attached 'deleted due to rollback'.
             *
             * These files will only be added after you have issued the rollback()
             * command.
             */
                     
        }
    }
?>

<form action="" method="post" enctype="multipart/form-data">
<input type="file" name="ourfile[]" id="ourfile[]" /><br />
<input type="file" name="ourfile[]" id="ourfile[]" /><br />
<input type="file" name="ourfile[]" id="ourfile[]" /><br />
<input type="submit" />
</form>