<?php

    /**
     * Example 5: Uploading multiple files and using the setIgnoreEmptyUploads() function
     *
     * If you use a form where you can upload multiple files at the same time
     * and you do not enter a file in every field, you will see that the file
     * will be added as an error stating 'No file uploaded'. The setIgnoreEmptyUploads()
     * function can be used to disable the error logging of non-existing file
     * uploads.
     *
     * To make it somewhat more interesting we will be using an numeric renaming method
     * to create some sort of gallery. Further more we will be using the setStartNumber()
     * method with it's default setting (auto) to make the class start numbering where
     * we stopped in the past (so if there are 10 photo's in the directory named 1.jpg
     * to 10.jpg, the class will start at 11.jpg). 
     */
     
    if ($_SERVER['REQUEST_METHOD'] == 'POST') {
    
        require_once 'fileupload.class.php';
        
        $oFile = new FileUpload($_FILES['ourfile']);
        
        $oFile->addFileType('gif', 'image/gif');
        $oFile->addFileType('jpg', array('image/jpeg', 'image/pjpeg'));
        
        $oFile->setLowerCaseExtension();
        $oFile->setIgnoreEmptyUploads();
        
        $oFile->setNewName('num'); // You can also supply an array of new filenames
        $oFile->setStartNumber('auto'); // $oFile->setStartNumber(); does the same as 'auto' is default setting
            
        $oFile->move('images/uploads');
        
        if ($oFile->getErrors() === false) {
        
            echo '<pre>', var_dump($oFile->getUploaded()), '</pre>';
            
        } else {
        
            echo '<pre>', var_dump($oFile->getErrors()), '</pre>';
                     
        }
    }
?>

<form action="" method="post" enctype="multipart/form-data">
<input type="file" name="ourfile[]" id="ourfile[]" /><br />
<input type="file" name="ourfile[]" id="ourfile[]" /><br />
<input type="file" name="ourfile[]" id="ourfile[]" /><br />
<input type="submit" />
</form>